Skip to content

Testing and Certification

These endpoints are intended for hardware testing, qualification, and certification. They are not intended for use in productive deployments.

Note

These endpoints require the recon interface to be enabled.

PN9 Test

Puts the radio frontend into a test mode that generates and verifies a pseudo-random (PN9/LFSR) pattern over the digital interface between the radio and the baseband. Takes approximately 5 seconds.

POST /cgi-bin/pn9
Content-Type: application/json

Request body can be empty or {}.

Field Type Description
lfsrValidCnt integer Number of valid samples
lfsrInvalidCnt integer Number of invalid samples
curl -s -X POST \
    -H "Content-Type: application/json" \
    -d '{}' \
    http://172.30.1.2/cgi-bin/pn9 | jq .
{
    "lfsrValidCnt": 1557086,
    "lfsrInvalidCnt": 0
}

RX Test

Computes the peak power and frequency of the receiver. Limited to the center frequency of the RX (default: 868.13 MHz +- 100 kHz). The center frequency gets notched out, so it is advised to use a CW tone 10 kHz or more away from the center frequency (e.g. 868.2 MHz).

POST /cgi-bin/rxtest
Content-Type: application/json

Request body can be empty or {}.

Field Type Description
peakfreq float Peak frequency in Hz
peakpwr float Peak power in dBm
curl -s -X POST \
    -H "Content-Type: application/json" \
    -d '{}' \
    http://172.30.1.2/cgi-bin/rxtest | jq .
{
    "peakfreq": 868200000.0,
    "peakpwr": -45.2
}

TX Test

Transmits a CW tone on the current center frequency (default: 869.525 MHz) and power (default: 24 dBm).

POST /cgi-bin/txtest
Content-Type: application/json
Field Type Required Description
cw bool No Enable or disable CW transmission (default: false)
pwr integer No Transmission power in dBm (default: 24, range: -20..24)
freq integer No Frequency to transmit on in Hz (default: 869525000, range: 800000000..930000000)

Returns HTTP 200 with an empty JSON object {} on success.

curl -s -X POST \
    -H "Content-Type: application/json" \
    -d '{"cw": true, "freq": 869500000, "pwr": 10}' \
    http://172.30.1.2/cgi-bin/txtest | jq .
curl -s -X POST \
    -H "Content-Type: application/json" \
    -d '{"cw": true}' \
    http://172.30.1.2/cgi-bin/txtest | jq .
curl -s -X POST \
    -H "Content-Type: application/json" \
    -d '{"cw": false}' \
    http://172.30.1.2/cgi-bin/txtest | jq .
{}